Loading...
Searching...
No Matches
gr::custom_lock_if Class Referenceabstract

`#include <gnuradio/custom_lock.h>`

## Public Member Functions

virtual | ~custom_lock_if ()
virtual void | on_lock (gr::thread::scoped_lock &lock)=0
virtual void | on_unlock ()=0

## Detailed Description

Custom lock interface. Objects should implement this interface in order to use the custom_lock object below. The interface defines two functions that, as their names suggest, are called when the lock is locked and unlocked respectively.

## Constructor & Destructor Documentation

## ~custom_lock_if()

virtual gr::custom_lock_if::~custom_lock_if | ( |  | ) |

inline virtual

## Member Function Documentation

## on_lock()

virtual void gr::custom_lock_if::on_lock | ( | gr::thread::scoped_lock & | lock | ) |

pure virtual

This function will be executed on construction of the custom lock.

Implemented in gr::buffer.

## on_unlock()

virtual void gr::custom_lock_if::on_unlock | ( |  | ) |

pure virtual

This function will be executed on destruction of the custom lock.

Implemented in gr::buffer.

The documentation for this class was generated from the following file:

- custom_lock.h